
//#use "ocx\\MSXML2.lib"
// added _CLSID_DOMDocument30.obj to xml.lib

class XML
{
	declare XML();
	declare _XML();
	// initialization
	declare Open(LPWSTR path),BOOL;
	declare InitNew(),BOOL;
	declare AttachNode(IXMLDOMNode *node),BOOL;

	declare Save(LPWSTR path),BOOL;
	// browsing
	declare GetFirstNode(XML *node),BOOL;
	declare GetNextNode(XML *node),BOOL;
	// modifications
	declare SetVersion(LPWSTR version);
	declare AppendChildNode(LPWSTR name,opt LPWSTR text,XML *node),BOOL;
	declare AppendText(LPWSTR text),BOOL;
	declare SetAttribute(LPWSTR name, LPWSTR value),BOOL;
	// querying
	declare HasChildNodes(),BOOL; // delete this
	declare GetName(),LPWSTR;
	declare GetText(),LPWSTR;
	declare GetValue(),VARIANT*; // <name = value> text </name>

	declare Cleanup();
	declare IsIXMLDOMDocument(),BOOL;

	IXMLDOMDocument *m_doc[0];
	IXMLDOMNode     *m_node;

	IXMLDOMNodeList *m_childs; // childs of m_doc or m_child
	int              m_count;
	int              m_index;
	BSTR             m_name;
	BSTR             m_text;
	VARIANT          m_value;
}
// size of class variables
const XMLVARSIZE = 0+4+4+4+4+4+4+16;

declare extern V_BSTR(VARIANT *pv, LPWSTR str);

